export declare function circle(cx: number, cy: number, r: number, fill?: boolean): Generator<number[], void, unknown>;
/**
 * Version of {@link circle} yielding only coordinates in rect defined by
 * `left,top`..`right,bottom`. Returns undefined if circle lies completely
 * outside given clip rectangle.
 *
 * @param cx -
 * @param cy -
 * @param r -
 * @param left -
 * @param top -
 * @param right -
 * @param bottom -
 * @param fill -
 */
export declare const circleClipped: (cx: number, cy: number, r: number, left: number, top: number, right: number, bottom: number, fill?: boolean) => Generator<number[], void, unknown> | undefined;
//# sourceMappingURL=circle.d.ts.map