import type { GridIterOpts2D } from "./api.js";
/**
 * Yields sequence of 2D grid coordinates in outward spiral order starting from
 * the center, given `cols` and `rows`.
 *
 * Ported & modified from original Java code by Christopher Kulla.
 * https://sourceforge.net/p/sunflow/code/HEAD/tree/trunk/src/org/sunflow/core/bucket/SpiralBucketOrder.java
 *
 * @param opts -
 */
export declare function spiral2d(opts: GridIterOpts2D): Generator<import("./api.js").GridCoord2D, void, unknown>;
//# sourceMappingURL=spiral.d.ts.map