import { __opts } from "./utils.js";
function* zigzagColumns2d(opts) {
  const { cols, rows, tx } = __opts(opts);
  const num = cols * rows;
  for (let i = 0; i < num; i++) {
    const x = i / rows | 0;
    let y = i % rows;
    x & 1 && (y = rows - 1 - y);
    yield tx(x, y);
  }
}
export {
  zigzagColumns2d
};
