export declare function line(ax: number, ay: number, bx: number, by: number): Generator<number[], void, unknown>;
/**
 * Version of {@link line} yielding only coordinates in rect defined by
 * `left,top`..`right,bottom`. Returns undefined if circle lies completely
 * outside given clip rectangle.
 *
 * @param x1 -
 * @param y1 -
 * @param x2 -
 * @param y2 -
 * @param left -
 * @param top -
 * @param right -
 * @param bottom -
 */
export declare const lineClipped: (x1: number, y1: number, x2: number, y2: number, left: number, top: number, right: number, bottom: number) => Generator<number[], void, unknown> | undefined;
//# sourceMappingURL=line.d.ts.map