import type { GridIterOpts2D } from "./api.js";
/**
 * Yields sequence of 2D grid coordinates in zigzag row order starting from
 * `[0,0]`, given `cols` and `rows`.
 *
 * Ported & modified from original Java code by Christopher Kulla.
 * https://sourceforge.net/p/sunflow/code/HEAD/tree/trunk/src/org/sunflow/core/bucket/SpiralBucketOrder.java
 *
 * @param opts -
 */
export declare function zigzagRows2d(opts: GridIterOpts2D): Generator<import("./api.js").GridCoord2D, void, unknown>;
//# sourceMappingURL=zigzag-rows.d.ts.map